<app-common-header name='Add Signature' [btnBackLink]="backLink" btnForwardLink="" forwardText="Finish"
    (forwardFunction)="onFinish()">
</app-common-header>

<div class="line-text" *ngIf="!isInit" [@inOutAnimation]>
    <p>Tap on the Document to put signatures</p>
</div>

<div class="line-page">
    <div class="page">
        <span id="page-text">Page:&nbsp;</span>
        <span class="page-num" id="page_num"></span> /
        <span class="page-num" id="page_count"></span>
    </div>
    <ion-button id="prev" fill="outline">
        <ion-icon name="arrow-back" mode="md"></ion-icon> <span>Previous</span>
    </ion-button>
    <ion-button id="next" fill="outline">
        <span>Next</span>
        <ion-icon name="arrow-forward" mode="md"></ion-icon>
    </ion-button>
</div>

<ion-content scrollX="true">
    <div id="container" style="position: relative; touch-action: auto;">
        <canvas id="the-pdf" style="position: absolute; left: 0; top: 0; z-index: 0; border: 1px solid black;"></canvas>
        <canvas id="done-canvas"></canvas>
        <div *ngFor="let signer of signaturesInfo; let i = index">
            <canvas *ngFor="let signature of signer.signaturePositions; let j = index"
                id="{{'the-signature-' + i + '-' + j}}"></canvas>
        </div>
    </div>
</ion-content>

<div class="zoom-btn-box">
    <div class="round-btn up-btn" tappable (click)="onZoomIn()">+</div>
    <div class="round-btn down-btn" tappable (click)="onZoomOut()">-</div>
</div>

<div class="line-foot" *ngIf="signaturesInfo.length > 0">
    <div>
        <div class="name-label">
            <p><span style="color: #808080;">Signer: </span>{{signaturesInfo[selectedSignerIndex].name}}</p>
        </div>
        <div class="option-btn">
            <ion-button class="btn-change" (click)="onChange()" *ngIf="isMultiSign">Change</ion-button>
            <ion-button class="btn-add" (click)="presentActionSheet()">
                <ion-icon name="md-more"></ion-icon>
            </ion-button>
        </div>
    </div>
</div>